namespace WretchedMachines.DataAccess.Entities;

public class Item : IEquatable<Item>
{
    public required string Name { get; set; }
    public int Id { get; set; }
    public double Price { get; set; }

    public bool Equals(Item? other)
    {
        if(Object.ReferenceEquals(other, null)) return false;
        if(Object.ReferenceEquals(this, other)) return true;
        return Name.Equals(other.Name);
    }
}